<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array();
use Claromentis\Core\Config\Exception\ReadOnlyException;




class ImmutableConfigArray implements Config
{
    
    
    
    
    protected array $config;
    
    
    
    
    
    
    public function __construct(array $config = [])
    {
        $this->config = $config;
    }
    public function has(string $key) : bool
    {
        return isset($this->config[$key]);
    }
    public function get(string $key)
    {
        return $this->config[$key] ?? null;
    }
    public function getAll() : array
    {
        return $this->config;
    }
    public function offsetExists($_1f50e30be8c2fefa6881834e71d504a2) : bool
    {
        return $this->has($_1f50e30be8c2fefa6881834e71d504a2);
    }
    public function offsetGet($_1f50e30be8c2fefa6881834e71d504a2)
    {
        return $this->get($_1f50e30be8c2fefa6881834e71d504a2);
    }
    public function offsetSet($_1f50e30be8c2fefa6881834e71d504a2, $value) : void
    {
        throw new ReadOnlyException($_1f50e30be8c2fefa6881834e71d504a2);
    }
    public function offsetUnset($_1f50e30be8c2fefa6881834e71d504a2) : void
    {
        throw new ReadOnlyException($_1f50e30be8c2fefa6881834e71d504a2);
    }
}